CREATE TABLE adf_sb_sandboxes (
    SANDBOX_ID                 VARCHAR2(240) ,
    SANDBOX_STATE              VARCHAR2(120)     NOT NULL,
    NAME                       VARCHAR2(320) ,
    DESCRIPTION                VARCHAR2(4000),
    PRIVATE_FLAG               VARCHAR2(4)   ,
    PUBLISH_FLAG               VARCHAR2(4)   ,
    ARCHIVE_FLAG               VARCHAR2(4)   ,
    OP_CONFLICT_FLAG           VARCHAR2(4)   ,
    OP_LOCK                    VARCHAR2(256) ,
    OP_LOCK_DATE               TIMESTAMP(6)  ,
    OP_LOCKED_BY               VARCHAR2(256) ,
    OP_LOG_ID                  NUMBER(18, 0) ,
    OP_PROGRESS                VARCHAR2(4000),
    REFRESH_DATE               TIMESTAMP(6)  ,
    REFRESHED_BY               VARCHAR2(256) ,
    REFRESH_FLAG               VARCHAR2(4)   ,
    PUBLISH_DATE               TIMESTAMP(6)  ,
    PUBLISHED_BY               VARCHAR2(256) ,
    SUSPENDED_FLAG             VARCHAR2(4)   ,
    CREATION_DATE              TIMESTAMP(6)      NOT NULL,
    CREATED_BY                 VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE           TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY            VARCHAR2(256)     NOT NULL,
    ARCHIVE_PROPERTIES         VARCHAR2(4000),
    CONSTRAINTS                VARCHAR2(4000),
    PROPERTIES                 VARCHAR2(4000),
    ARCHIVE_PROPERTIES_CLOB    CLOB          ,
    CONSTRAINTS_CLOB           CLOB          ,
    PROPERTIES_CLOB            CLOB          ,
    SANDBOX_ID                 VARCHAR2(240) ,
    SANDBOX_STATE              VARCHAR2(120)     NOT NULL,
    NAME                       VARCHAR2(320) ,
    DESCRIPTION                VARCHAR2(4000),
    PRIVATE_FLAG               VARCHAR2(4)   ,
    PUBLISH_FLAG               VARCHAR2(4)   ,
    ARCHIVE_FLAG               VARCHAR2(4)   ,
    OP_CONFLICT_FLAG           VARCHAR2(4)   ,
    OP_LOCK                    VARCHAR2(256) ,
    OP_LOCK_DATE               TIMESTAMP(6)  ,
    OP_LOCKED_BY               VARCHAR2(256) ,
    OP_LOG_ID                  NUMBER(18, 0) ,
    OP_PROGRESS                VARCHAR2(4000),
    REFRESH_DATE               TIMESTAMP(6)  ,
    REFRESHED_BY               VARCHAR2(256) ,
    REFRESH_FLAG               VARCHAR2(4)   ,
    PUBLISH_DATE               TIMESTAMP(6)  ,
    PUBLISHED_BY               VARCHAR2(256) ,
    SUSPENDED_FLAG             VARCHAR2(4)   ,
    CREATION_DATE              TIMESTAMP(6)      NOT NULL,
    CREATED_BY                 VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE           TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY            VARCHAR2(256)     NOT NULL,
    ARCHIVE_PROPERTIES         VARCHAR2(4000),
    CONSTRAINTS                VARCHAR2(4000),
    PROPERTIES                 VARCHAR2(4000),
    ARCHIVE_PROPERTIES_CLOB    CLOB          ,
    CONSTRAINTS_CLOB           CLOB          ,
    PROPERTIES_CLOB            CLOB          ,
    CONSTRAINT pk_adf_sb_sandboxes PRIMARY KEY (SANDBOX_ID, SANDBOX_ID)
);
